%global npm_name minimist

Summary:       parse argument options
Name:          nodejs-%{npm_name}
Version:       1.2.0
Release:       2%{?dist}
License:       MIT
URL:           https://github.com/substack/minimist
Source0:       http://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
ExclusiveArch: %{nodejs_arches} noarch
BuildArch:     noarch
Provides:      nodejs-%{npm_name} = %{version}

%description
This module is the guts of optimist's argument parser without all the fanciful decoration.

%prep
%setup -q -n package

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pr example index.js package.json test %{buildroot}%{nodejs_sitelib}/%{npm_name}

%files
%doc readme.markdown LICENSE
%{nodejs_sitelib}/%{npm_name}

%changelog
* Thu Sep 10 2015 Troy Dawson <tdawson@redhat.com>
- spec change: npmname -> npm_name

* Wed Sep 09 2015 Troy Dawson <tdawson@redhat.com> - 1.2.0-1
- Initial package
